#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# _run_every_even_second.mcfunction | Runs all commands that need to be run every other second. (Thread 2)
#                                   | Called by 'xiphias:_run_every'
#
# Special thanks to MSpaceDev. I pulled apart the 'Player Graves' data pack to understand how functions do.
# MSpaceDev | https://www.youtube.com/c/MinecraftSpace
#

# |===| New Player Setup |===|
execute as @a[tag=!setup] run function xiphias:_player_setup
# |==========================|

# |===| Don't Break the Map Hub |===|
effect give @a[x=0,y=0,z=1424,dx=400,dy=256,dz=400] minecraft:mining_fatigue 3 9 true
# |=================================|

# |===| Long Term Advancement Rewards |===|
#   Milk Bucket Challenge
effect give @a[tag=calcium_intensifies] minecraft:strength 1000000 0 true

#   white_wool
effect give @a[tag=white_wool,tag=!yellow_wool,tag=!light_blue_wool] minecraft:slowness 1000000 4 true
effect give @a[tag=white_wool,tag=!yellow_wool,tag=!light_blue_wool] minecraft:speed 1000000 16 true
#   yellow_wool
effect give @a[tag=yellow_wool] minecraft:conduit_power 1000000 0 true
effect give @a[tag=yellow_wool,tag=!light_blue_wool] minecraft:haste 1000000 0 true
effect give @a[tag=yellow_wool,tag=!purple_wool] minecraft:slowness 1000000 4 true
effect give @a[tag=yellow_wool,tag=!purple_wool] minecraft:speed 1000000 17 true
#   lime_wool
effect give @a[tag=lime_wool] minecraft:luck 1000000 0 true
effect give @a[tag=lime_wool] minecraft:dolphins_grace 1000000 0 true
#   light_blue_wool
effect give @a[tag=light_blue_wool] minecraft:haste 1000000 1 true
effect give @a[tag=light_blue_wool,tag=!orange_wool] minecraft:resistance 1000000 0 true
#   purple_wool
effect give @a[tag=purple_wool] minecraft:slowness 1000000 4 true
effect give @a[tag=purple_wool] minecraft:speed 1000000 18 true
effect give @a[tag=purple_wool] minecraft:fire_resistance 1000000 0 true
#   orange_wool
effect give @a[tag=orange_wool] minecraft:resistance 1000000 1 true
#   red_wool
#effect give @a[tag=red_wool] minecraft:saturation 1000000 0 true
# |===============================|

# |===| ZAP ZAP B |===|
execute as @e[type=vex,distance=..10,x=95,y=54,z=150] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=95,y=54,z=150] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=163,y=59,z=125] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=163,y=59,z=125] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=180,y=55,z=82] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=180,y=55,z=82] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=216,y=55,z=64] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=216,y=55,z=64] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=220,y=55,z=56] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=220,y=55,z=56] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=230,y=57,z=60] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=230,y=57,z=60] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=227,y=58,z=69] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=227,y=58,z=69] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
# |===================|

# END OF LINE.