#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# lime_wool.mcfunction | Award the active player and share the Advancement with other players.
#                      | Called by 'Place the Lime Wool' Advancement
#

# Display Current Gameplay Stats
execute as @a run function xiphias:_chicken_lunch

# Loot Chest Lv2, Luck I, Dolphin's Grace I
tellraw @s ["",{"text":"Loot Chest Lv2 Given\n","color":"aqua"},{"text":"Permanent Luck I Enabled\nPermanent Dolphin's Grace I Enabled","color":"red"}]
playsound minecraft:entity.player.levelup player @s ~ ~ ~ 1 0.75 1

# Loot Chest Reward
give @s minecraft:chest{display:{Name:"{\"text\":\"Loot Chest | Lv 2\"}"},BlockEntityTag:{LootTable:"xiphias:chests/loot_chest_lv2"}}

# /Recipe and XP Awards are given through the Advancement/

# Give Tag needed for Potion Effects and Win Condition, Tag: lime_wool
tag @s add lime_wool

# Award Advancement to other players.
advancement grant @a only xiphias:wool/b03_lime_wool

# END OF LINE.