#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# white_wool.mcfunction | Award the active player and share the Advancement with other players.
#                       | Called by 'Place the White Wool' Advancement
#

# Display Current Gameplay Stats
execute as @a run function xiphias:_chicken_lunch

# Loot Chest Lv2, Speed I (10%)
tellraw @s ["",{"text":"Loot Chest Lv2 Given\n","color":"aqua"},{"text":"Permanent Speed I (10%) Enabled","color":"red"}]
playsound minecraft:entity.player.levelup player @s ~ ~ ~ 1 0.75 1

# Loot Chest Reward
give @s minecraft:chest{display:{Name:"{\"text\":\"Loot Chest | Lv 2\"}"},BlockEntityTag:{LootTable:"xiphias:chests/loot_chest_lv2"}}

# /Recipe and XP Awards are given through the Advancement/

# Give Tag needed for Potion Effects and Win Condition, Tag: white_wool
tag @s add white_wool

# Award Advancement to other players.
advancement grant @a only xiphias:wool/b01_white_wool

# END OF LINE.