#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# back_to_a4.mcfunction | Teleport all players back to area 4 from an invalid location.
#                       | Called by 'xiphias:_run_every_second'
#

#   Reset score values for area 4
scoreboard players set @a xph_tp_counter 0
scoreboard players set SirSecondTick xph_location_id 4
scoreboard players set @a xph_location_id 4

#   Teleport players to area 4
spreadplayers 201 1630 3 1 false @s
playsound minecraft:item.chorus_fruit.teleport player @s ~ ~ ~ 1 .75 1
execute at @s run particle minecraft:cloud ~ ~ ~ 1 1 1 0 1000 normal @s

#   Player Messages
title @s times 20 100 20
title @s subtitle {"text":"Map Hub"}
title @s title {"text":"Xiphias","color":"aqua"}

# END OF LINE.