#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# _run_every_tick.mcfunction | Runs all commands that need to be run every tick.
#                            | Called by 'xiphias:_run_every'
#                                        
# Special thanks to MSpaceDev. I pulled apart the 'Player Graves' data pack to understand how functions do.
# MSpaceDev | https://www.youtube.com/c/MinecraftSpace
#

# |===| Cap Crouch and Sneak Trackers |===|
scoreboard players set @a[scores={xph_crouch=2..}] xph_crouch 2
scoreboard players set @a[scores={xph_sneak=2..}] xph_sneak 2
scoreboard players set @a[scores={xph_swim=2..}] xph_swim 2
scoreboard players set @a[scores={xph_dive=2..}] xph_dive 2
# |=======================================|

# |===| 'Increased XP' Reward |===|
execute if entity @a[tag=hacienda_books] as @e[type=minecraft:experience_orb] run data modify entity @s Value set value 7
# |===============================|

# |===| Long Term Advancement Rewards, but Faster |===|
#   Auto XP (5)
experience add @a[tag=bahreev_books,level=..4] 1 points
# |===================================================|

# |===| Rabbit Catcher |===|
execute at @e[type=minecraft:rabbit,name="Lucky Rabbit"] run advancement grant @a[distance=..1] only xiphias:wool/a03_lucky_rabbit
# |========================|

# END OF LINE.