#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# _run_once.mcfunction | Runs all commands needed for first map run.
#                      | Called by 'xiphias:_player_setup'
#
# Special thanks to MSpaceDev. I pulled apart the 'Player Graves' data pack to understand how functions do.
# MSpaceDev | https://www.youtube.com/c/MinecraftSpace
#

# Set Same Commands as if Just Teleported to Area 4
#   Reset score values for area 4
scoreboard players set @a xph_tp_counter 0
scoreboard players set SirSecondTick xph_location_id 4
scoreboard players set @a xph_location_id 4
#   Teleport players to area 4 starting area
spreadplayers 201 1630 3 1 false @a
#   Location specific settings for area 4
time set midnight
gamerule randomTickSpeed 0
#worldborder center 200 1624
#worldborder set 30001 0
#worldborder damage amount 0
#worldborder warning distance 0

# Don't run again
scoreboard players set SirSecondTick xph_run_once 1

# END OF LINE.